Mac OS X 10.6 Compatibility with Canon Software

It is not recommended to install the new MAC OS, Snow Leopard (10.6), if you are planning to use Canon hardware and software.

The Canon imagePROGRAF (all models), Pixma Pro 9000, & 9500 Mark ll printer drivers will NOT work with the Snow Leopard. There are NO workarounds if Snow Leopard has already been installed. New, compatible printer drivers are expected to be released next month.

Problems have been reported when running Snow Leopard and Canon EOS WFT units. When connecting Canon EOS cameras wirelessly using the WFT units in PTP mode and EOS Utility the camera will not be recognized by the software. Tethered camera connection via USB is a workaround.

MAC OS 10.6 has not been fully tested with all Canon hardware and software.

Article Tags